aboutsummaryrefslogtreecommitdiffstats
path: root/packages/docker
diff options
context:
space:
mode:
authorJorge Hernandez <jorge.hernandez-herrero@att.com>2019-02-13 13:12:37 -0600
committerJorge Hernandez <jorge.hernandez-herrero@att.com>2019-02-14 08:31:11 -0600
commitc6f2da8cb993382057c6e141b68af9334b6391d1 (patch)
treeb0bf922f384c8891fcd372ef4f562aad21a14397 /packages/docker
parent6683a08e12d119e1ba8fb1070a93660c0c3a3931 (diff)
Decouple nexus reconfiguration from installation
This allows for nexus to be reconfigured dynamically. Change-Id: I103707ab7525ddb29663d7785739a34dff538605 Issue-ID: POLICY-1518 Signed-off-by: Jorge Hernandez <jorge.hernandez-herrero@att.com>
Diffstat (limited to 'packages/docker')
-rw-r--r--packages/docker/src/main/docker/docker-install.sh51
1 files changed, 15 insertions, 36 deletions
diff --git a/packages/docker/src/main/docker/docker-install.sh b/packages/docker/src/main/docker/docker-install.sh
index 76f8fb27..13a366af 100644
--- a/packages/docker/src/main/docker/docker-install.sh
+++ b/packages/docker/src/main/docker/docker-install.sh
@@ -4,7 +4,7 @@
# ============LICENSE_START=======================================================
# Installation Package
# ================================================================================
-# Copyright (C) 2017-2018 AT&T Intellectual Property. All rights reserved.
+# Copyright (C) 2017-2019 AT&T Intellectual Property. All rights reserved.
# ================================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
@@ -209,35 +209,18 @@ function configure_settings() {
# if both SNAPSHOT_REPOSITORY_URL and RELEASE_REPOSITORY_URL are null,
# use standalone-settings.xml that just defines the file-based repo.
# if only one of them is specified, use file-based repo for the other.
- if [[ -z "${SNAPSHOT_REPOSITORY_URL}" && -z "${RELEASE_REPOSITORY_URL}" ]]; then
- echo "SNAPSHOT_REPOSITORY_URL and RELEASE_REPOSITORY_URL properties not set, configuring settings.xml for standalone operation"
- mv ${HOME_M2}/standalone-settings.xml ${HOME_M2}/settings.xml
- else
- rm $HOME_M2/standalone-settings.xml
- if [[ -n "${SNAPSHOT_REPOSITORY_URL}" ]] ; then
- snapshotRepoID=${SNAPSHOT_REPOSITORY_ID}
- snapshotRepoUrl=${SNAPSHOT_REPOSITORY_URL}
- fi
- if [[ -n "${RELEASE_REPOSITORY_URL}" ]] ; then
- releaseRepoID=${RELEASE_REPOSITORY_ID}
- releaseRepoUrl=${RELEASE_REPOSITORY_URL}
- fi
+ ${POLICY_HOME}/bin/configure-maven
+
+ if [[ -n "${SNAPSHOT_REPOSITORY_URL}" ]] ; then
+ snapshotRepoID=${SNAPSHOT_REPOSITORY_ID}
+ snapshotRepoUrl=${SNAPSHOT_REPOSITORY_URL}
fi
- SED_LINE="sed -i"
- SED_LINE+=" -e 's!\${{SNAPSHOT_REPOSITORY_ID}}!${snapshotRepoID}!g' "
- SED_LINE+=" -e 's!\${{SNAPSHOT_REPOSITORY_URL}}!${snapshotRepoUrl}!g' "
- SED_LINE+=" -e 's!\${{RELEASE_REPOSITORY_ID}}!${releaseRepoID}!g' "
- SED_LINE+=" -e 's!\${{RELEASE_REPOSITORY_URL}}!${releaseRepoUrl}!g' "
- SED_LINE+=" -e 's!\${{REPOSITORY_USERNAME}}!${REPOSITORY_USERNAME}!g' "
- SED_LINE+=" -e 's!\${{REPOSITORY_PASSWORD}}!${REPOSITORY_PASSWORD}!g' "
- SED_LINE+=" -e 's!\${{fileRepoID}}!${fileRepoID}!g' "
- SED_LINE+=" -e 's!\${{fileRepoUrl}}!${fileRepoUrl}!g' "
-
- SED_LINE+="$HOME_M2/settings.xml"
- eval "${SED_LINE}"
-
+ if [[ -n "${RELEASE_REPOSITORY_URL}" ]] ; then
+ releaseRepoID=${RELEASE_REPOSITORY_ID}
+ releaseRepoUrl=${RELEASE_REPOSITORY_URL}
+ fi
}
function configure_keystore() {
@@ -251,12 +234,10 @@ function configure_keystore() {
if [[ -n ${TRUSTSTORE_PASSWD} ]]; then
keytool -storepasswd -storepass "${DEFAULT_TRUSTSTORE_PASSWORD}" -keystore "${POLICY_HOME}/etc/ssl/policy-truststore" -new "${TRUSTSTORE_PASSWD}"
- keytool -list -keystore "${POLICY_HOME}/etc/ssl/policy-truststore" -storepass "${TRUSTSTORE_PASSWD}"
fi
if [[ -n ${KEYSTORE_PASSWD} ]]; then
keytool -storepasswd -storepass "${DEFAULT_KEYSTORE_PASSWORD}" -keystore "${POLICY_HOME}/etc/ssl/policy-keystore" -new "${KEYSTORE_PASSWD}"
- keytool -list -keystore "${POLICY_HOME}/etc/ssl/policy-keystore" -storepass "${KEYSTORE_PASSWD}"
fi
}
@@ -473,13 +454,11 @@ function install_base() {
echo "WARNING: Failed to rename $HOME_M2 directory; will use old directory"
fi
fi
- if [[ ! -d $HOME_M2 ]]; then
- echo "Moving m2 directory to $HOME_M2"
- mv $POLICY_HOME/m2 $HOME_M2
- if [[ $? != 0 ]]; then
- echo "ERROR: Error in moving m2 directory"
- exit 1
- fi
+
+ mkdir -p ${HOME_M2}
+ if [[ $? != 0 ]]; then
+ echo "ERROR: Cannot create ${HOME_M2} directory"
+ exit 1
fi
# base.conf properties may have characters with special meaning to bash,